V1 and V2Product Families
Search product families
Search existing product families.
Filter structure and format is described under the Resources section in this guide.
Comments:
-
Search filters MUST include all necessary columns. If an attribute is not explicitly requested it won’t be returned by the API. Available attributes can be found later in this section.
-
Requesting non-existing attributes will return a 422 error
-
You are allowed to sort by columns not included in the “attributes” field. However, those attributes won’t be returned.
Authorization
bearerAuth AuthorizationBearer <token>
Obtain a token via POST /auth/api/get-token (15 minute lifetime), then send it as Authorization: Bearer <token>.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X POST 'https://example.com/api/v1/product_families/search' \ -H 'Content-Type: application/json' \ --data-raw '{ "filters": [], "relationship_filters": [], "pagination": { "page": 1, "order": "name" }, "attributes": [ "name", "total_products", "total_attributes", "total_models", "_created_at", "modified", "created_user_audit", "modified_user_audit" ]}'Empty